
#ifndef _APPGLOBALS_
#define _APPGLOBALS_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kScrollWidth	15
#define MIN(x,y)		( ((x)<(y)) ? (x) : (y) )
#define MAX(x,y)		( ((x)>(y)) ? (x) : (y) )
#define HiWrd(aLong)	(((aLong) >> 16) & 0xFFFF)
#define LoWrd(aLong)	((aLong) & 0xFFFF)
#define kWatchACursor	140


/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/
extern	Boolean				gQuitFlag ;
extern	short				gAppResRefNum ;			// RefNum of application's resource file.
extern	long				gAppSleepTicks  ;		// WaitNextEvent sleep time for application.
extern	Boolean				gInBackground ;


#endif
